[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.IsNull

Is the data a null value ?

## Declaration

Source position: fpjson.pp line 177

`public property TJSONData.IsNull : Boolean read GetIsNull;`

## Description

IsNull is True only for JSONType=jtNull, i.e. for a TJSONNull instance. In all other cases, it is False. This value cannot be set.

## See also

TJSONType |  | Possible types of JSON data
JSONType |  | The native JSON data type represented by this object
TJSONNull |  | Class to represent boolean JSON data.
AsFloat |  | Access the raw JSON value as a float
Value |  | The value of this data object as a variant.
AsInt64 |  | Access the raw JSON value as an 64-bit integer
AsString |  | Access the raw JSON value as a string
AsInteger |  | Access the raw JSON value as an 32-bit integer
AsBoolean |  | Access the raw JSON value as a boolean
AsJSON |  | Return a JSON representation of the value